Package org.eclipse.birt.report.model.api

# Class FilterConditionElementHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ContentElementHandle
org.eclipse.birt.report.model.api.FilterConditionElementHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IFilterConditionElementModel`

public class FilterConditionElementHandle extends ContentElementHandle implements org.eclipse.birt.report.model.elements.interfaces.IFilterConditionElementModel

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ContentElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IFilterConditionElementModel

`DYNAMIC_FILTER_PARAMETER_PROP, EXPR_PROP, EXTENSION_EXPR_ID_PROP, EXTENSION_NAME_PROP, FILTER_TARGET_PROP, IS_OPTIONAL_PROP, MEMBER_PROP, OPERATOR_PROP, PUSH_DOWN_PROP, TYPE_PROP, UPDATE_AGGREGATION_PROP, VALUE1_PROP, VALUE2_PROP`

## Constructor Summary

Constructors
Constructor
Description
`FilterConditionElementHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs a filter condition handle with the given design and the element.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDynamicFilterParameter()`
Returns the name of the dynamic filter parameter to reference when the filter condition is dynamic.
`String`
`getExpr()`
Returns the filter expression.
`String`
`getExtensionExprId()`
Returns the id of a custom filter expression contributed and defined by the extension identified in the consumerExpressionMapping.
`String`
`getExtensionName()`
Returns the unique id of an org.eclipse.datatools.connectivity.oda.filterExpressions extension to whose custom expressions are defined to map to a BIRT filter operator.
`String`
`getFilterTarget()`
Returns the filter target.
`MemberValueHandle`
`getMember()`
Gets the member value handle of this filter condition element if it sets.
`String`
`getOperator()`
Returns the operator of this filter condition.
`String`
`getType()`
Returns the type of this filter condition.
`String`
`getValue1()`
Returns the value 1 expression of this filter condition.
`ExpressionListHandle`
`getValue1ExpressionList()`
Gets the value1 expression list of this filter condition.
`List`
`getValue1List()`
Deprecated.
`getValue1ExpressionList()`
`String`
`getValue2()`
Returns the value 2 expression of this filter condition.
`boolean`
`isOptional()`
Determines whether this filter condition is optional or not.
`boolean`
`pushDown()`
Indicate if the current filter condition will be pushed down to the database.
`void`
`setDynamicFilterParameter(String parameterName)`
Sets the name of the dynamic filter parameter to reference.
`void`
`setExpr(String filterExpr)`
Sets the filter expression.
`void`
`setExtensionExprId(String extensionExprId)`
Sets the id of a custom filter expression contributed and defined by the extension identified in the consumerExpressionMapping.
`void`
`setExtensionName(String extensionName)`
Sets the unique id of an org.eclipse.datatools.connectivity.oda.filterExpressions extension to whose custom expressions are defined to map to a BIRT filter operator.
`void`
`setFilterTarget(String filterTarget)`
Sets the filter target.
`void`
`setOperator(String operator)`
Sets the operator of this filter condition.
`void`
`setOptional(boolean isOptional)`
Sets the optional status for this filter condition.
`void`
`setPushDown(boolean pushDown)`
Sets the push down status for this filter condition
`void`
`setType(String type)`
Sets the type of this filter condition.
`void`
`setUpdateAggregation(boolean updateAggregation)`
Sets the updateAggregation flag of the filter condition.
`void`
`setValue1(String value1Expr)`
Sets the value 1 expression of this filter condition.
`void`
`setValue1(List value1List)`
Sets the value 1 expression list of this filter condition.
`void`
`setValue2(String value2Expr)`
Sets the value 2 expression of this filter condition.
`boolean`
`updateAggregation()`
Checks if this filter condition needs to update aggregation.

### Methods inherited from class org.eclipse.birt.report.model.api.ContentElementHandle

`addListener, canTransformToTemplate, clientsIterator, createTemplateElement, derivedIterator, getElement, getEventHandlerClass, getExtends, getName, getPrivateStyle, getQualifiedName, isTemplateParameterValue, localize, removeListener, revertToReportItem, revertToTemplate, setEventHandlerClass, setExtends, setExtendsName, setName, setStyle, setStyleName`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, clearAllProperties, clearContents, clearProperty, copy, copyPropertyTo, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getExpressionProperty, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getNumberProperty, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isValid, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, semanticCheck, setBooleanProperty, setEncryption, setExpressionProperty, setExtendsElement, setFloatProperty, setIntProperty, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyleElement, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterConditionElementHandle

public FilterConditionElementHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs a filter condition handle with the given design and the element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getExpr

public String getExpr()
Returns the filter expression.

Returns:
  the filter expression

### setExpr

public void setExpr(String filterExpr) throws SemanticException
Sets the filter expression.

Parameters:
  `filterExpr` - the filter expression to set
Throws:
  `SemanticException` - value required exception

### getOperator

public String getOperator()
Returns the operator of this filter condition. The possible values are defined in `DesignChoiceConstants`, and they are:

- `FILTER_OPERATOR_EQ`
- `FILTER_OPERATOR_NE`
- `FILTER_OPERATOR_LT`
- `FILTER_OPERATOR_LE`
- `FILTER_OPERATOR_GE`
- `FILTER_OPERATOR_GT`
- `FILTER_OPERATOR_BETWEEN`
- `FILTER_OPERATOR_NOT_BETWEEN`
- `FILTER_OPERATOR_NULL`
- `FILTER_OPERATOR_NOT_NULL`
- `FILTER_OPERATOR_TRUE`
- `FILTER_OPERATOR_FALSE`
- `FILTER_OPERATOR_LIKE`
- `FILTER_OPERATOR_TOP_N`
- `FILTER_OPERATOR_BOTTOM_N`
- `FILTER_OPERATOR_TOP_PERCENT`
- `FILTER_OPERATOR_BOTTOM_PERCENT`
- `FILTER_OPERATOR_ANY`

Returns:
  the operator of this filter condition

### setOperator

public void setOperator(String operator) throws SemanticException
Sets the operator of this filter condition. The allowed values are defined in `DesignChoiceConstants`, and they are:

- `FILTER_OPERATOR_EQ`
- `FILTER_OPERATOR_NE`
- `FILTER_OPERATOR_LT`
- `FILTER_OPERATOR_LE`
- `FILTER_OPERATOR_GE`
- `FILTER_OPERATOR_GT`
- `FILTER_OPERATOR_BETWEEN`
- `FILTER_OPERATOR_NOT_BETWEEN`
- `FILTER_OPERATOR_NULL`
- `FILTER_OPERATOR_NOT_NULL`
- `FILTER_OPERATOR_TRUE`
- `FILTER_OPERATOR_FALSE`
- `FILTER_OPERATOR_LIKE`
- `FILTER_OPERATOR_TOP_N`
- `FILTER_OPERATOR_BOTTOM_N`
- `FILTER_OPERATOR_TOP_PERCENT`
- `FILTER_OPERATOR_BOTTOM_PERCENT`
- `FILTER_OPERATOR_ANY`

Parameters:
  `operator` - the operator to set
Throws:
  `SemanticException` - if operator is not in the choice list.

### getValue1

public String getValue1()
Returns the value 1 expression of this filter condition.

Returns:
  the value 1 expression of this filter condition

### getValue1List

@Deprecated public List getValue1List()
Deprecated.
`getValue1ExpressionList()`
Gets the value1 expression list of this filter condition. For most filter operator, there is only one expression in the returned list. However, filter operator 'in' may contain more than one expression.

Returns:
  the value1 expression list of this filter condition.

### getValue1ExpressionList

public ExpressionListHandle getValue1ExpressionList()
Gets the value1 expression list of this filter condition. For most filter operator, there is only one expression in the returned list. However, filter operator 'in' may contain more than one expression.

Returns:
  the value1 expression list of this filter condition.

### setValue1

public void setValue1(String value1Expr) throws SemanticException
Sets the value 1 expression of this filter condition.

Parameters:
  `value1Expr` - the value 1 expression to set
Throws:
  `SemanticException`

### setValue1

public void setValue1(List value1List) throws SemanticException
Sets the value 1 expression list of this filter condition.

Parameters:
  `value1List` - the value 1 expression list to set
Throws:
  `SemanticException` - if the instance in the list is not valid

### getValue2

public String getValue2()
Returns the value 2 expression of this filter condition.

Returns:
  the value 2 expression of this filter condition

### setValue2

public void setValue2(String value2Expr) throws SemanticException
Sets the value 2 expression of this filter condition.

Parameters:
  `value2Expr` - the value 2 expression to set
Throws:
  `SemanticException`

### getFilterTarget

public String getFilterTarget()
Returns the filter target. The possible values are defined in `DesignChoiceConstants`, and they are:

- `FILTER_TARGET_DATA_SET`
- `FILTER_TARGET_RESULT_SET`

Returns:
  the target type

### setFilterTarget

public void setFilterTarget(String filterTarget) throws SemanticException
Sets the filter target. The allowed values are defined in `DesignChoiceConstants`, and they are:

- `FILTER_TARGET_DATA_SET`
- `FILTER_TARGET_RESULT_SET`

Parameters:
  `filterTarget` - the filter target to set
Throws:
  `SemanticException` - if the value is not one of the above.

### getMember

public MemberValueHandle getMember()
Gets the member value handle of this filter condition element if it sets. Otherwise return null.

Returns:

### isOptional

public boolean isOptional()
Determines whether this filter condition is optional or not.

Returns:
  true if this filter is optional, otherwise false

### setOptional

public void setOptional(boolean isOptional) throws SemanticException
Sets the optional status for this filter condition.

Parameters:
  `isOptional` - true if this filter is optional, otherwise false
Throws:
  `SemanticException`

### getExtensionName

public String getExtensionName()
Returns the unique id of an org.eclipse.datatools.connectivity.oda.filterExpressions extension to whose custom expressions are defined to map to a BIRT filter operator.

Returns:
  the extension name

### getExtensionExprId

public String getExtensionExprId()
Returns the id of a custom filter expression contributed and defined by the extension identified in the consumerExpressionMapping.

Returns:
  the extension expression id

### pushDown

public boolean pushDown()
Indicate if the current filter condition will be pushed down to the database. Default value is false. Only the oda extension provider supported operators can be pushed down to database. For those only BIRT supported operators even this property is set to true, will be ignored.

Returns:
  true if the current filter condition will be pushed down to the database, otherwise false.

### getDynamicFilterParameter

public String getDynamicFilterParameter()
Returns the name of the dynamic filter parameter to reference when the filter condition is dynamic.

Returns:
  the name to the dynamic filter parameter to reference.

### setExtensionName

public void setExtensionName(String extensionName) throws SemanticException
Sets the unique id of an org.eclipse.datatools.connectivity.oda.filterExpressions extension to whose custom expressions are defined to map to a BIRT filter operator.

Parameters:
  `extensionName` - the extension name to set
Throws:
  `SemanticException`

### setExtensionExprId

public void setExtensionExprId(String extensionExprId) throws SemanticException
Sets the id of a custom filter expression contributed and defined by the extension identified in the consumerExpressionMapping.

Parameters:
  `extensionExprId` - the id to set
Throws:
  `SemanticException`

### setPushDown

public void setPushDown(boolean pushDown) throws SemanticException
Sets the push down status for this filter condition

Parameters:
  `pushDown` - true if the current filter condition will be pushed down to the database, otherwise false.
Throws:
  `SemanticException`

### setDynamicFilterParameter

public void setDynamicFilterParameter(String parameterName) throws SemanticException
Sets the name of the dynamic filter parameter to reference.

Parameters:
  `parameterName` - the name of the dynamic filter parameter to set
Throws:
  `SemanticException`

### getType

public String getType()
Returns the type of this filter condition. The possible values are defined in `DesignChoiceConstants`, and they are:

- `FILTER_CONDITION_TYPE_SLICER`
- `FILTER_CONDITION_TYPE_SIMPLE`

Returns:
  the operator of this filter condition

### setType

public void setType(String type) throws SemanticException
Sets the type of this filter condition. The allowed values are defined in `DesignChoiceConstants`, and they are:

- `FILTER_CONDITION_TYPE_SLICER`
- `FILTER_CONDITION_TYPE_SIMPLE`

Parameters:
  `type` - the type to set
Throws:
  `SemanticException` - if type is not in the choice list.

### updateAggregation

public boolean updateAggregation()
Checks if this filter condition needs to update aggregation.

Returns:
  the flag to indicate updating aggregation or not.

### setUpdateAggregation

public void setUpdateAggregation(boolean updateAggregation) throws SemanticException
Sets the updateAggregation flag of the filter condition.

Parameters:
  `updateAggregation` - the updateAggregation flag to set
Throws:
  `SemanticException`